Skip to main content
GET
/
v1
/
metrics
/
deposit-total-usd
Deposit Total Usd
curl --request GET \
  --url https://api.blockworks.com/v1/metrics/deposit-total-usd \
  --header 'x-api-key: <api-key>'
{
  "projectName": [
    {
      "date": "2025-08-10",
      "value": 123456.789
    },
    {
      "date": "2025-08-11",
      "value": 234567.89
    },
    {
      "date": "2025-08-12",
      "value": 345678.901
    }
  ]
}

Overview

  • Denomination: USD
  • Type: USD Value
  • Interval: Daily
  • Source: Blockworks

Example Request

curl -H "x-api-key: YOUR_API_KEY" \
  "https://api.blockworks.com/v1/metrics/deposit-total-usd?project=aave"

Example Response

{
  "aave": [
    {
      "date": "2026-02-19",
      "value": 42812071326.55982
    },
    {
      "date": "2026-02-18",
      "value": 43205359552.22921
    },
    {
      "date": "2026-02-17",
      "value": 43438980020.06024
    },
    {
      "date": "2026-02-16",
      "value": 43556162961.88664
    },
    {
      "date": "2026-02-15",
      "value": 44226732184.286644
    }
  ]
}

Notes

  • Intervals are daily unless otherwise noted.
  • Data is updated daily and may be revised after late-arriving data.

Authorizations

x-api-key
string
header
required

Query Parameters

project
enum<string>
required

Project slug (comma-separated for multiple).

Available options:
aave,
fluid,
hyperlend,
jupiter-lend,
morpho,
spark
Example:

"aave"

start_date
string<date>

Start date (YYYY-MM-DD)

end_date
string<date>

End date (YYYY-MM-DD)

Response

OK

{key}
object[]